/*
 * 
 */
package gov.grants.apply.support.vo;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * @author wkaselow
 */
public class AttachmentXPathInfo {
	
    private String xpathPrefix;
    
    /**
     * Parent form name of which this attachment belongs
     */
    private String parentFormName;
    
    
    /* Constructor(s) */
    
    public AttachmentXPathInfo() {}
    
    
    /* Public Method(s) */
    
    public String toString() { return ToStringBuilder.reflectionToString( this ); }

    
    
    /* Getters & Setters */

	/**
	 * @return the parentFormName
	 */
	public String getParentFormName() {
		return parentFormName;
	}


	/**
	 * @param parentFormName the parentFormName to set
	 */
	public void setParentFormName(String parentFormName) {
		this.parentFormName = parentFormName;
	}


	/**
	 * @return the xpathPrefix
	 */
	public String getXpathPrefix() {
		return xpathPrefix;
	}


	/**
	 * @param xpathPrefix the xpathPrefix to set
	 */
	public void setXpathPrefix(String xpathPrefix) {
		this.xpathPrefix = xpathPrefix;
	}
    

}
